
#ifndef EventAction_h
#define EventAction_h 1

#include "G4UserEventAction.hh"
#include "globals.hh"

class RunAction;
//class EventActionMessenger;



class EventAction : public G4UserEventAction
{
  public:
    EventAction(RunAction*);
   ~EventAction();

  public:
    void BeginOfEventAction(const G4Event*);
    void   EndOfEventAction(const G4Event*);
     
  private:
  RunAction* myRU;
  G4double E_X[22];
  G4double E_Y[22];
  G4int  printModulo;                    
};

#endif

    
// 2005 by G.I.Vasilyev
